LOGINX(3)

NAME
loginx, logoutx, logwtmpx - login utility functions

LIBRARY
libutil

SYNOPSIS
#include <util.h>
void
loginx(const struct utmpx *ut);
int
logoutx(const char *line, int status, int type);
void
logwtmpx(const char *line, const char *name, const char *host, int status, int type);

DESCRIPTION
The loginx(), logoutx(), and logwtmpx() operate on the utmpx(5) database of currently logged in users, and the wtmpx(5) database of logins and logouts.

The loginx() function updates the /var/run/utmpx and /var/log/wtmpx databases with the information from ut.

logoutx() updates the entry corresponding to line with the type and status from type and status.

logwtmpx() writes an entry filled with data from line, name, host, status, and type to the wtmpx(5) database.

RETURN VALUES
logoutx() returns 1 on success, and 0 if no corresponding entry was found.

SEE ALSO
endutxent(3), utmpx(5)